var WUrl,allargs,url,from,w,h,VideoInfoList,param,fromArray,fromlen,partArray,partlen,nextnum,urlinfo,nexthref,prehref,prenum,nexturlAndFrom,handleParas,nexturl

WUrl=unescape(window.location.href);
allargs=WUrl.split("&&");
url=allargs[0].split("u=")[1];
from=allargs[1].split("f=")[1];
w=allargs[2].split("w=")[1];
h=allargs[3].split("h=")[1];
VideoInfoList=window.parent.VideoInfoList;
param=window.parent.param;
fromArray=VideoInfoList.split('$$$');
//fromlen=fromArray.length;
partArray=fromArray[param[0]].split('$$')[1].split('#');
partlen=partArray.length;
nextnum=Number(param[1])+1;
prenum=Number(param[1])-1;
handleParas=window.parent.handleParas;
nexturlAndFrom=handleParas(nextnum,param[0]);

urlinfo = window.parent.urlinfo;
if(nextnum<=partlen-1){nexthref=urlinfo.replace("<from>",param[0]).replace("<pos>",nextnum);nexturl=nexturlAndFrom[1];}else{nexthref="";nexturl="";}
if(prenum<0){prehref=""}else{prehref=urlinfo.replace("<from>",param[0]).replace("<pos>",prenum);}
//alert(partlen)

function $$(id){return document.getElementById(id);}
function CheckFlash(w,h) { 
var n = navigator;
if (n.plugins && n.plugins.length || window.ActiveXObject) {} else{window.location.href="checkflash.html";}
}